# Interface ECPrivateKey

All Superinterfaces:
  `AsymmetricKey`, `Destroyable`, `ECKey`, `Key`, `PrivateKey`, `Serializable`

public interface ECPrivateKey extends PrivateKey, ECKey
The interface to an elliptic curve (EC) private key.

Since:
  1.5
See Also:
  - `PrivateKey`
  - `ECKey`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.

## Method Summary

Modifier and Type
Method
Description
`default ECParameterSpec`
`getParams()`
Returns the parameters associated with this key.
`BigInteger`
`getS()`
Returns the private value S.

### Methods declared in interface javax.security.auth.Destroyable

`destroy, isDestroyed`

### Methods declared in interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

## Field Details

### serialVersionUID

@Deprecated static final long serialVersionUID
Deprecated.
A `serialVersionUID` field in an interface is ineffectual. Do not use; no replacement.
The class fingerprint that is set to indicate serialization compatibility.

See Also:
  - Constant Field Values

## Method Details

### getS

BigInteger getS()
Returns the private value S.

Returns:
  the private value S.

### getParams

default ECParameterSpec getParams()
Returns the parameters associated with this key. The parameters are optional and may be either explicitly specified or implicitly created during key pair generation.

Specified by:
  `getParams` in interface `AsymmetricKey`
Specified by:
  `getParams` in interface `ECKey`
Implementation Requirements:
  The default implementation returns `null`.
Returns:
  the associated parameters, may be `null`